package com.atlassian.bitbucket.mesh.git.exception;

import com.atlassian.bitbucket.mesh.AbstractStatusException;
import io.grpc.Status;

import javax.annotation.Nonnull;

import static java.util.Objects.requireNonNull;

public class AbortedException extends AbstractStatusException {

    public AbortedException(@Nonnull String message) {
        super(requireNonNull(message, "message"), Status.ABORTED);
    }

    public AbortedException(@Nonnull String message, @Nonnull Throwable cause) {
        super(requireNonNull(message, "message"), requireNonNull(cause, "cause"), Status.ABORTED);
    }
}
